# Uses of Enum Class
org.apache.lucene.util.automaton.RegExp.Kind

Packages that use RegExp.Kind
Package
Description
org.apache.lucene.util.automaton
Finite-state automaton for regular expressions.

- ## Uses of RegExp.Kind in org.apache.lucene.util.automaton

  Fields in org.apache.lucene.util.automaton declared as RegExp.Kind
  Modifier and Type
  Field
  Description
  `final RegExp.Kind`
  RegExp.`kind`
  The type of expression
  Methods in org.apache.lucene.util.automaton that return RegExp.Kind
  Modifier and Type
  Method
  Description
  `static RegExp.Kind`
  RegExp.Kind.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RegExp.Kind[]`
  RegExp.Kind.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.